「互換性のないアーカイブ。」というエラーメッセージの対処法

テーマファイルのインストールに困っていませんか?

このエラーは、WordPress 6.4.3とmacOSのFinderの組み合わせで圧縮されたzipファイル(テーマファイル)をインストールしようとすると発生する不具合です。

WordPress 6.4.3でテーマインストールエラー!?原因と解決策

解決方法は以下の2つです。

  1. WordPressのバージョンを6.4.2にダウングレードする
  2. 別の圧縮ソフトでzipファイルを作成する

それでは詳しく紹介していきます!

WordPressのバージョンを6.4.2にダウングレードする

ワンタッチでダウングレードできるプラグインを使うと便利です。

ワードプレスをダウングレードするプラグイン「WP Downgrade Specific Core Version」

別の圧縮ソフトでzipファイルを作成する

圧縮ソフト

  • 7-Zip
  • WinRAR
  • PeaZip

上記以外の方法で解決したい場合は、以下の情報も参考にしてください。

最新情報:

  • WordPress 6.4.4でこの問題は修正されています。
  • テーマによっては、6.4.3でも問題なくインストールできる場合があります。

補足:

  • テーマファイルは、WordPress管理画面の「外観」→「テーマ」→「新規追加」→「テーマのアップロード」からインストールできます。
  • ダウングレードを行う前に、必ずデータベースのバックアップを取ってください。

関連記事

ウェブ集客の壁にぶつかりませんか?3つの方法で突破しよう!

WordPress Duplicator(無料)でワードプレスサイトを引越・移行する方法

ワードプレスのカスタマイズの追加CSSで「何かがうまくいきませんでした」と表示された時の対処法

PAGE TOP